

%define kf5jsembed_major 5
%define libkf5jsembed %mklibname kf5jsembed %{kf5jsembed_major}
%define kf5jsembed_devel %mklibname kf5jsembed -d

Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Name:           kjsembed
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  karchive-devel 
BuildRequires:  kjs-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kdoctools-devel 

%description
KDE Frameworks 5 Tier 3 addon with JS scripting engine

%files -f kjsembed5.lang
%_kf5_bindir/kjscmd5
%_kf5_bindir/kjsconsole
%_kf5_mandir/man1/kjscmd5.1.*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5JsEmbed.so.%{kf5jsembed_major}*
#--------------------------------------------------------------------
%{_mandir}

%package -n %kf5jsembed_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5jsembed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jsembed_devel
%_kf5_includedir/KJsEmbed
%_kf5_libdir/cmake/KF5JsEmbed
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang kjsembed5


%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
